%
% anyremote configuration file for Eye-of-mate (http://mate-desktop.org/) management. (Server-mode)
%

% STATUS stable
% XTEST yes
% SOUND no
% ENV no
% FBROWSER v.4i
% DEF_PIX_VIEWER   
% ALL_IN_ONE 
% MEDIACENTER photo

GuiAppName=Eye of mate
GuiAppBinary=eom
GuiAppRun=echo 'A=`ps -ef|grep eom|grep -v grep|grep -v anyremote|grep -v edit`; if [ "x$A" = "x" ]; then echo NOK; else echo OK; fi'|sh -s
GuiAppIcon=eom.png
GuiAppType=Application
GuiAppProtocols=Server
GuiAppDesc=eom or the Eye of MATE is a simple graphics viewer for the MATE desktop which uses the gdk-pixbuf library. 

[Protocol]=Server

(Init)=\
	Include($(CfgDir)/Utils/aliases-server.cfg);\
	Include($(CfgDir)/Utils/aliases-server-fbrowser-v4i.cfg);\
	Macro(FBROWSER_IC_INIT);\
	Include($(CfgDir)/Utils/aliases-server-pix-viewer.cfg);\
	Make(var,app_name,by_value,Eye Of Mate);\
	Make(var,open_file,by_value,);\
	Make(var,app_manage_mode,by_value,eom_manage);

(Exit)=\
	Macro(FBROWSER_IC_EXIT);

(Connect)=\
	Make(mode,eom_init);

[Mode]=eom_init : default_pixviewer_init

APP_IS_RUN=\
	Make(var,app_run,pgrep -u `id -u` eom|head -1|wc -l);

[ModeEnd]

[Mode]=eom_manage : default_pixviewer

% (EnterMode) by Utils/aliases-server-pix-viewer.cfg

APP_START_IF=\
	Make(var,app_run,pgrep -u `id -u` eom|head -1|wc -l));\
	Exec(if [ "x$(app_run)" = "x0" ]; then \
           cd "$(fbrowser_dir)";eom "$(open_file)" & \
         fi 2> /dev/null);

APP_RAISE=\
	Exec($(CfgDir)/Utils/run-or-switch-to.sh -switch eom);

APP_QUIT=\
	Exec(pkill -u `id -u` eom);

APP_FULLSCREEN=Emulate(key,F11)

PIX_PREV=Emulate(keydown,Alt_L,key,Left,keyup,Alt_L)
PIX_NEXT=Emulate(keydown,Alt_L,key,Right,keyup,Alt_L)
PIX_FIRST=Emulate(keydown,Alt_L,key,Home,keyup,Alt_L)
PIX_LAST=Emulate(keydown,Alt_L,key,End,keyup,Alt_L)
PIX_ZOOM_IN=Emulate(keydown,Control_L,key,KP_Add,keyup,Control_L)
PIX_ZOOM_OUT=Emulate(keydown,Control_L,key,minus,keyup,Control_L)
PIX_FIT=Emulate(keydown,Control_L,key,0,keyup,Control_L)
PIX_ROTATE=Emulate(keydown,Control_L,key,R,keyup,Control_L)

[ModeEnd]

[End]
